Author Topic: r12878 fails to compile via SpellChecker_wx31_64.cbp or SpellChecker_wx32_64.cbp  (Read 687 times)

Offline everSome

  • Multiple posting newcomer
  • *
  • Posts: 29
Made the following change to both of the aforementioned files in order to get SpellCheckerPlugin.cpp to compile.

diff --git a/src/plugins/contrib/SpellChecker/SpellChecker_wx31_64.cbp b/src/plugins/contrib/SpellChecker/SpellChecker_wx31_64.cbp
--- a/src/plugins/contrib/SpellChecker/SpellChecker_wx31_64.cbp
+++ b/src/plugins/contrib/SpellChecker/SpellChecker_wx31_64.cbp
@@ -74,7 +74,7 @@
                <Add option="-Winvalid-pch" />
                <Add option="-DCB_PRECOMP" />
                <Add option="-DcbDEBUG" />
-               <Add directory="hunspell/src" />
+               <Add directory="hunspell/src/hunspell" />
                <Add directory="wxspellchecker/include" />
                <Add directory="../../../include" />
                <Add directory="../../../include/tinyxml" />
diff --git a/src/plugins/contrib/SpellChecker/SpellChecker_wx32_64.cbp b/src/plugins/contrib/SpellChecker/SpellChecker_wx32_64.cbp
--- a/src/plugins/contrib/SpellChecker/SpellChecker_wx32_64.cbp
+++ b/src/plugins/contrib/SpellChecker/SpellChecker_wx32_64.cbp
@@ -74,7 +74,7 @@
                <Add option="-Winvalid-pch" />
                <Add option="-DCB_PRECOMP" />
                <Add option="-DcbDEBUG" />
-               <Add directory="hunspell/src" />
+               <Add directory="hunspell/src/hunspell" />
                <Add directory="wxspellchecker/include" />
                <Add directory="../../../include" />
                <Add directory="../../../include/tinyxml" />

Otherwise it couldn't find hunspell.h
Is anyone else having this problem?

Offline gd_on

  • Lives here!
  • ****
  • Posts: 769
yes, mentioned here : https://forums.codeblocks.org/index.php/topic,25088.msg170996.html#msg170996
and similar solution found by Letartare.
« Last Edit: August 28, 2022, 10:07:22 am by gd_on »
Windows 10 64 bits (22H2), svn C::B (last version or almost!), wxWidgets 3.2.1, Msys2 Compilers 12.2.0, 64 bits (seh, posix : gcc, g++ and gfortran in C:\msys64\mingw64) or 32 bits (dwarf2, posix  in C:\msys64\mingw32).